[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt-users] compile error libvirt-python 4.5.0 - error: unknown type name ?virNWFilterBindingPtr?



Hello,

I have tried to upgrade libvirt / libvort-python from 4.4.0 to 4.5.0

1) libvirt configure and install
    Compile and install of libvirt 4.5.0 complete without problems.
   Configure:
   ./configure -q --with-lxc --with-storage-iscsi --with-storage-scsi --with-interface --with-storage-lvm --with-storage-fs --with-udev --with-vmware --with-storage-mpath --prefix=/usr;make -j6

   The following installation was successful:
   ETCSVMS3:~ # virsh version --daemon
   Compiled against library: libvirt 4.5.0
   Using library: libvirt 4.5.0
   Using API: QEMU 4.5.0
   Running hypervisor: QEMU 2.12.0
   Running against daemon: 4.5.0
   ETCSVMS3:~ #

2) libvirt-python build and install
   this steps end with a compile error.

Protocol:

shl ETCSVMS3:~/Install/libvirt-python-4.5.0> python setup.py build
running build
/usr/bin/pkg-config --print-errors --atleast-version=0.9.11 libvirt
/usr/bin/python generator.py libvirt /usr/share/libvirt/api/libvirt-api.xml
Found 446 functions in /usr/share/libvirt/api/libvirt-api.xml
Found 0 functions in libvirt-override-api.xml
Generated 365 wrapper functions
/usr/bin/python generator.py libvirt-qemu /usr/share/libvirt/api/libvirt-qemu-api.xml
Found 5 functions in /usr/share/libvirt/api/libvirt-qemu-api.xml
Found 0 functions in libvirt-qemu-override-api.xml
Generated 3 wrapper functions
/usr/bin/pkg-config --atleast-version=1.0.2 libvirt
/usr/bin/python generator.py libvirt-lxc /usr/share/libvirt/api/libvirt-lxc-api.xml
Found 4 functions in /usr/share/libvirt/api/libvirt-lxc-api.xml
Found 0 functions in libvirt-lxc-override-api.xml
Generated 2 wrapper functions
running build_py
creating build/lib.linux-x86_64-2.7
copying build/libvirt.py -> build/lib.linux-x86_64-2.7
copying build/libvirt_qemu.py -> build/lib.linux-x86_64-2.7
copying build/libvirt_lxc.py -> build/lib.linux-x86_64-2.7
running build_ext
building 'libvirtmod' extension
creating build/temp.linux-x86_64-2.7
creating build/temp.linux-x86_64-2.7/build
gcc -pthread -fno-strict-aliasing -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DNDEBUG -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g -DOPENSSL_LOAD_CONF -fwrapv -fPIC -I. -I/usr/include/python2.7 -c libvirt-override.c -o build/temp.linux-x86_64-2.7/libvirt-override.o
In file included from libvirt-override.c:24:0:
typewrappers.h:114:5: error: unknown type name ?virNWFilterBindingPtr?
     virNWFilterBindingPtr obj;
     ^
typewrappers.h:201:46: error: unknown type name ?virNWFilterBindingPtr?
 PyObject * libvirt_virNWFilterBindingPtrWrap(virNWFilterBindingPtr node);
                                              ^
error: command 'gcc' failed with exit status 1
shl ETCSVMS3:~/Install/libvirt-python-4.5.0>

================================================================================

Best regards

Holger

---
Diese E-Mail wurde von Avast Antivirus-Software auf Viren geprüft.
https://www.avast.com/antivirus


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]